Bug 1417852 (CVE-2016-10171) - CVE-2016-10171 wavpack: Heap out of bounds read in unreorder_channels / wvunpack.c
Summary: CVE-2016-10171 wavpack: Heap out of bounds read in unreorder_channels / wvunp...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-10171
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1417860 1417861 1417862 1417863
Blocks: 1417854
TreeView+ depends on / blocked
 
Reported: 2017-01-31 10:05 UTC by Andrej Nemec
Modified: 2019-09-29 14:05 UTC (History)
5 users (show)

Fixed In Version: wavpack 5.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 09:38:57 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-31 10:05:17 UTC
A vulnerability was found in wavpack. There is a heap out of bounds read in unreorder_channels / wvunpack.c. A maliciously crafted file could cause the application to crash.

Upstream bug:

https://sourceforge.net/p/wavpack/mailman/message/35561939/

Upstream patch:

https://github.com/dbry/WavPack/commit/4bc05fc490b66ef2d45b1de26abf1455b486b0dc

References:

http://seclists.org/oss-sec/2017/q1/221

Comment 1 Andrej Nemec 2017-01-31 10:31:41 UTC
Created mingw-wavpack tracking bugs for this issue:

Affects: epel-7 [bug 1417860]
Affects: fedora-all [bug 1417863]


Created wavpack tracking bugs for this issue:

Affects: epel-5 [bug 1417862]
Affects: fedora-all [bug 1417861]


Note You need to log in before you can comment on or make changes to this bug.